%global momorel 1
%global _debug 0
%global preversion 3

Summary: The kernel daemon (kerneld) and kernel module utilities.
Name: module-init-tools
Version: 3.3
Release: 0.%{preversion}.%{momorel}m%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/
Source0 http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-%{version}-pre%{preversion}.tar.bz2
Source1 http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-%{version}-pre%{preversion}.tar.bz2.sign
Source2: modprobe.conf.dist
Source3: blacklist-compat
Source4: weak-modules
Source5: depmod.conf.dist

Patch1: module-init-tools-allconf.patch
Patch2: module-init-tools-noescape.patch
Patch3: module-init-tools-dump_modversions.patch

Exclusiveos: Linux
PreReq: chkconfig sh-utils
Obsoletes: modules modutils-devel modutils
Provides: modutils = %{version}
BuildPrereq: zlib-devel docbook-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# %ifarch %ix86 alpha
# BuildPrereq: dietlibc
# %define buildcc	diet gcc
# %else
# %define buildcc	gcc
# %endif

%description
The modutils packages includes the various programs neeed for automatic
loading and unloading of modules under 2.2 and later kernels as well as
other module management programs.  Examples of loaded and unloaded
modules are device drivers and filesystems, as well as some other things.

%prep
rm -rf %{buildroot}
# %setup -q -a1
%setup -q -n module-init-tools-%{version}-pre%{preversion}
%patch1 -p1 -b .dist
%patch2 -p0 -b .noescape
%patch3 -p1 -b .dump

%build
export CFLAGS="-Os -g -DCONFIG_NO_BACKWARDS_COMPAT=1"
%configure --enable-zlib
make insmod.static
cp insmod.static insmod-static


export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS -DCONFIG_NO_BACKWARDS_COMPAT=1"

make distclean

%configure --enable-zlib
make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,' sbindir=%{buildroot}/sbin

install -m 755 generate-modprobe.conf \
 %{buildroot}/sbin
 
install -m 644 modprobe.conf.5 \
 %{buildroot}/%{_mandir}/man5/modprobe.d.5

mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/etc/modprobe.d
install -m 644 %{SOURCE2} %{buildroot}/etc/modprobe.d/modprobe.conf.dist
install -m 644 %{SOURCE3} %{buildroot}/etc/modprobe.d/blacklist-compat
install -m 755 %{SOURCE4} %{buildroot}/sbin/weak-modules

mkdir -p %{buildroot}/etc/depmod.d
install -m 644 %{SOURCE5} %{buildroot}/etc/depmod.d/depmod.conf.dist

find %{buildroot}/sbin/ -name '*.static' -exec rm {} \;

mv %{buildroot}/%{_bindir}/lsmod %{buildroot}/sbin

install -m 755 insmod-static %{buildroot}/sbin/insmod.static
touch %{buildroot}/etc/modprobe.conf
    
%clean
rm -rf %{buildroot}

%post
# get rid of the old installations on upgrade
if [ -x /etc/rc.d/init.d/kerneld ] ; then
   /sbin/chkconfig --del kerneld
fi
if [ -f /etc/conf.modules -a ! -f /etc/modules.conf ] ; then
   mv -f /etc/conf.modules /etc/modules.conf
fi
if [ -f /etc/modules.conf -a ! -f /etc/modprobe.conf ] ; then
   echo "# Note: for use under 2.4, changes must also be made to modules.conf!" >/etc/modprobe.conf
   /sbin/generate-modprobe.conf --stdin < /etc/modules.conf >> /etc/modprobe.conf 2>/dev/null
   chmod 644 /etc/modprobe.conf
   echo "# Note: for use under 2.6, changes must also be made to modprobe.conf!" >> /etc/modules.conf
fi

%files
%defattr(-,root,root)
/etc/modprobe.d
/etc/depmod.d
/sbin/*
%{_mandir}/*/*
%ghost %config %verify(not md5 size mtime) /etc/modprobe.conf

%changelog
* Sat Nov 04 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3-0.3.1m)
- version 3.3-pre3
- add Source3: blacklist-compat
- add Source4: weak-modules
- add Source5: depmod.conf.dist
- add Patch3: module-init-tools-dump_modversions.patch

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.3-0.1.1m)
- version 3.3-pre1

* Fri Dec 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2-0.9.1m)
- sync with fc-devel

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1-5m)
- add gcc4 patch
- Patch1200: modutils-2.4.27-gcc.patch

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.1-4m)
- enable ia64

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.1-3m)
- rebuild against zlib-1.2.3 (CAN-2005-1849)

* Tue Jul 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.1-2m)
- rebuild against zlib-devel 1.2.2-2m, which fixes CAN-2005-2096.

* Sun Mar 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.1-1m)
- up to 3.1

* Tue Aug 10 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.0-2m)
- use autoconf instead of autoconf-2.58

* Mon Apr 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0-1m)
- updated to 3.0

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.14-5m)
- change URL

* Mon Dec 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.14-4m)
- fix insmod.static with zlib
- renumber patches

* Mon Dec 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.14-3m)
- remove enable-zlib from configure of module-init-tools

* Wed Dec 10 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.14-2m)
- rename static insmod of modutils to insmod.static.old

* Sat Dec  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.14-1m)
- change name to module-init-tools
- add module-init-tools for kernel 2.6

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.25-1m)
  update to 2.4.25
  
* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.22-1m)
  update to 2.4.22

* Wed Oct 30 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.4.21-2m)
- add BuildPrereq: dietlibc on %%ix86 and alpha

* Tue Oct 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.4.21-1m)
  update to 2.4.21

* Fri Sep  6 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-1m)
  update to 2.4.20

* Tue Sep  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.19-2m)
- add "Requires: %{name} = %{version}-%{release}" to -devel

* Wed Aug  7 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.19-1m)
  update to 2.4.19
  
* Wed Jul 24 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-1m)
  update to 2.4.18

* Mon May  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.16-2k)
  update to 2.4.16

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.15-2k)
  update to 2.4.15

* Sun Mar 31 2002 Toru Hoshina <t@kondara.org>
- (2.4.14-2k)
- update to 2.4.14
- separate -devel.

* Mon Feb 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.13-2k)
- update to 2.4.13

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.12-2k)
- update to 2.4.12

* Sun Jan 13 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-10k)
- add modutils-2.4.10_i2c-dev.patch

* Mon Jan  7 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-8k)
- add modutils-2.4.10-nvidia.patch

* Wed Oct  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-6k)
- remove modutils-2.4.10-bahtari.patch, because ieee1394 modules are modified

* Wed Oct  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-4k)
- add modutils-2.4.10-bahtari.patch for... T_T

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-2k)
- update to 2.4.10 and merge to rh 2.4.6-4

* Thu Apr 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.5-2k)
- update to 2.4.5

* Tue Mar 13 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-3k)
- update to 2.4.3

* Mon Jan  8 2001 MATSUDA, Daiki <dyky@dfu-sa.com>
- (2.4.1-3k)
- update to 2.4.1

* Tue Jan  2 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.3.24-3k)
- update to 2.3.24

* Tue Dec 19 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.23-3k)
- update to 2.3.23

* Sun Dec 10 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.22-3k)
- update to 2.3.22

* Sun Dec 03 2000 Kenichi Matsubara <m@kondara.org>
- (2.3.20-7k)
- Obsoletes Japanese man.[ conflict man-pages-ja]

* Mon Nov 20 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.20-2k, 2.3.20-3k)
- if not jirai, add Japanese man.

* Sun Nov 19 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.20-1.1k)
- backport for stable version

* Sun Nov 19 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.20-1k)
- update to 2.3.20 for security fix

* Sat Oct 21 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.18-1k)
- update to 2.3.18

* Wed Oct  4 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.17-0k)
- update to 2.3.17
- add alsa patch for upper 2.4.0 kernel

* Thu Aug 10 2000 Toru Hoshina <t@kondara.org>
- Kondarized.

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.12
- fix up ia64

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  1 2000 Florian La Roche <laroche@redhat.com>
- add aliases for cipcb[0-3]

* Wed Jun 14 2000 Matt Wilson <msw@redhat.com>
- fix build on combined 32/64 bit sparc

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- modules.confiscation

* Wed May 17 2000 Bill Nottingham <notting@redhat.com>
- add ia64 patch from Intel

* Wed May 17 2000 Jakub Jelinek <jakub@redhat.com>
- fix build with glibc 2.2

* Tue May 09 2000 Doug Ledford <dledford@redhat.com>
- Correct %description to reflect that we don't build kerneld by default

* Fri Apr 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.11

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- fix net-pf-* aliases for ipx, appletalk

* Fri Mar 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.10

* Thu Feb 17 2000 Matt Wilson <msw@redhat.com>
- added alias for agpgart

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- hardcode psaux alias to off everywhere

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- add a symlink from conf.modules.5 to modules.conf.5

* Fri Jan 29 2000 Bill Nottingham <notting@redhat.com>
- fix breakage *correctly*

* Sat Jan 22 2000 Bill Nottingham <notting@redhat.com>
- fix breakage of our own cause w.r.t sound modules

* Thu Jan 06 2000 Jakub Jelinek <jakub@redhat.com>
- update to 2.3.9.
- port RH patches from 2.1.121 to 2.3.9 where needed.
- disable warning about conf.modules for now, in 7.0
  we should move to modules.conf.

* Wed Oct 13 1999 Jakub Jelinek <jakub@redhat.com>
- hardcode psaux alias on sparc to off.

* Tue Oct 05 1999 Bill Nottingham <notting@redhat.com>
- hardcode parport aliases....

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against new glibc in the sparc tree

* Wed Sep 15 1999 Jakub Jelinek <jakub@redhat.com>
- rewrite sparckludge so that separate *64 binaries
  are not needed anymore.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- apply the last patch in the %prep section (doh!)

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- add support for the ppp compression modules by default

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- add cron.d file to run rmmod -as

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- take out kerneld

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make all raid personalities recognized

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- obsoletes modules
- get rid of the /lib/modules/preferred hack

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- added support for /lib/modules/foo/pcmcia
- make kerneld initscript not start by default

* Tue Feb 23 1999 Matt Wilson <msw@redhat.com>
- added sparc64 support from UltraPenguin

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
